#pragma once
#include "EntityState.h"
extern const int CS_PuppySTATENAME_WATER;
//水中状态
class CS_PuppyWater :
    public EntityState
{
public:
    CS_PuppyWater();
    void State() override;
    //水中效果
    bool fallToWater = false;
    bool setSplash = false;
};

